iCAx开思工具箱
标题:
obj_id
[打印本页]
作者:
刘亮
时间:
2004-9-15 17:08
标题:
obj_id
我有个部件(不是用api编的,是直接画的)(见附件),是一个封闭的截面,我想把它拉伸,我怎么获得它的obj_id 阿?是用它UF_MODL_ask_object()吗?即我怎么样获得一个部件里对象的id?谢谢!!!
作者:
zzz
时间:
2004-9-15 22:06
遍历吧
作者:
刘亮
时间:
2004-9-16 09:49
代码如下:
extern "C" DllExport void ufsta( char *param, int *returnCode, int rlen )
{
double ref_pt[3];
double dir[3]={0.0,0.0,1.0};
char *limit1[2]={"1.0","10.0"};
uf_list_p_t loop_list,features;
tag_t obj_id,part_tag;
char *taper_angle="0.0";
int type;
int count;
/* Initialize the API environment */
int errorCode = UF_initialize();
if ( 0 == errorCode )
{
/* TODO: Add your application code here */
part_tag=UF_PART_ask_display_part();
count=0;
type=UF_line_type;
obj_id=NULL_TAG;
UF_OBJ_cycle_objs_in_part(part_tag,type,[$obj_id)]
while(obj_id!=NULL_TAG)
{
count++;
UF_OBJ_cycle_objs_in_part(part_tag,type,[$obj_id)]
UF_MODL_create_list([$loop_list)]
UF_MODL_put_list_item(loop_list,obj_id);
}
UF_MODL_create_extruded(loop_list,taper_angle,limit1,ref_pt,dir,UF_NULLSIGN,[$features)]
/* Terminate the API environment */
errorCode = UF_terminate();
}
帮我看看,还是没有拉伸阿。
作者:
tari
时间:
2004-9-16 15:08
调试时obj_id都有值吗?
你part中除了这几条线不会有其他线吧
UF_MODL_create_list()移到循环外面比较好
欢迎光临 iCAx开思工具箱 (https://t.icax.org/)
Powered by Discuz! X3.3